View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000463Ecere SDKidepublic2010-07-26 04:442013-05-19 22:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000463: ide: find in files: IDE Crash in a Find in Files (Happened once out of many!)
DescriptionIDE Crash in a Find in Files (Happened once out of many!)
TagsNo tags attached.
Attached Filespng file icon manyprojects.png [^] (2,358 bytes) 2010-08-21 15:56

- Relationships

-  Notes
(0000260)
redj (administrator)
2010-07-26 05:43

can you give more info for crash on FindInFiles ?
we'll wait for a new crash

at least some of the crashes have been fixed
(0000265)
jerome (administrator)
2010-07-26 12:05

I will first make sure I have the latest IDE and try to reproduce the crash.
I thought I had a note with more info, i.e. often searching through a whole drive for something with lots of results produces a crash (intermittent / crashes at different files I think).
There was a time where projects would appear more than once in the list after a while, and then searching in one of those would crash, but this one might have been fixed. I think this crash report is mostly about the thing crashing while just leaving it in the middle of a long search.
(0000272)
redj (administrator)
2010-07-26 14:10

the project appearing multiple times has indeed been fixed.
(0000275)
redj (administrator)
2010-07-27 14:22

at least some crashes have been fixed so anyone still getting crashes for this?
(0000276)
jerome (administrator)
2010-07-27 14:27

I haven't yet updated to the latest IDE, but have you tried doing a big drive-search for something common , e.g. ecere, window ... ?

The crashes I get are in the middle of a long search.
(0000277)
redj (administrator)
2010-07-27 14:35

ok, I see, it's a crash that seems to happen when looking in a (possibly large) .c file but it kinda hogs the whole system, right? and the call stack is not much help. :(

  0 inside strncpy, C:\WINDOWS\system32\msvcrt.dll
  1 ??
(0000278)
jerome (administrator)
2010-07-27 14:41

String.ec:StripLastDirectory calls strncpy

String.ec:SplitArchivePath as well.

These might get called from FileOpen.

Look for potential file path buffer overrun

I would suspect it's more about a long file path than a large file.
(0000279)
jerome (administrator)
2010-07-27 14:43

While you're on this one, try a few things like having a project with a dependent project (added to its workspace), and try modifying that auxiliary project (the shared library) from outside, and see if it asks you to reload it... and after it's reloaded please do a last check to see if we don't have an extra ghost item in the Find In Files...
(0000330)
jerome (administrator)
2010-08-10 18:56
edited on: 2010-08-10 18:56

I ran into a:

Searching (null) for bla

searching for something in an 'added' project.

(0000348)
jerome (administrator)
2010-08-21 15:56
edited on: 2010-08-21 15:58

I just added the ecere and ec projects once and they appeared multiple times?

Very straightforward to reproduce:

- Using the latest ide/ecere code from repo
- Get rid of any ecc workspace
- Load up ecc.epj
- Add ecere project to workspace
- Add libec project to workspace
- Ctrl-Shift-F
- Contemplate the many projects in the dropbox.

(0000360)
redj (administrator)
2010-08-26 17:26

fixed the duplicates of projects in the "Find In" drop box.

Added revision 57 to sdk/ide/src/dialogs/FindInFilesDialog.ec
(0000361)
redj (administrator)
2010-08-26 17:32

replying to
"I would suspect it's more about a long file path than a large file."

I did a test with long file paths and it would seem to be a non-issue with
the longest file paths I can make in windows.
(0000362)
redj (administrator)
2010-09-04 18:07

fix to memory manager bug!!

Added revision 119 to sdk\ecere\src\com\instance.ec

- Issue History
Date Modified Username Field Change
2010-07-26 04:44 redj New Issue
2010-07-26 04:44 redj Relationship added child of 0000429
2010-07-26 05:43 redj Note Added: 0000260
2010-07-26 12:05 jerome Note Added: 0000265
2010-07-26 14:10 redj Note Added: 0000272
2010-07-26 19:35 thexa4 Target Version => 0.44 draft 2
2010-07-27 14:22 redj Note Added: 0000275
2010-07-27 14:22 redj Assigned To => redj
2010-07-27 14:22 redj Status new => feedback
2010-07-27 14:27 jerome Note Added: 0000276
2010-07-27 14:35 redj Note Added: 0000277
2010-07-27 14:35 redj Status feedback => confirmed
2010-07-27 14:41 jerome Note Added: 0000278
2010-07-27 14:43 jerome Note Added: 0000279
2010-08-10 18:56 jerome Note Added: 0000330
2010-08-10 18:56 jerome Note Edited: 0000330
2010-08-21 15:56 jerome Note Added: 0000348
2010-08-21 15:56 jerome File Added: manyprojects.png
2010-08-21 15:58 jerome Note Edited: 0000348
2010-08-26 17:26 redj Note Added: 0000360
2010-08-26 17:32 redj Note Added: 0000361
2010-09-04 18:07 redj Note Added: 0000362
2010-09-04 20:25 redj Status confirmed => resolved
2010-09-04 20:25 redj Resolution open => fixed
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:36 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker